Skip to main content
POST
/
v1
/
merchants
Create a merchant (one-shot mer_sk_* reveal)
curl --request POST \
  --url https://api.getovra.com/v1/merchants \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "inviteCode": "<string>",
  "name": "<string>",
  "encryptionJwk": {},
  "webhookUrl": "<string>"
}
'
{
  "id": "<string>",
  "slug": "<string>",
  "merchant_secret_key": "mer_sk_a1b2c3...",
  "warning": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.getovra.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key (sk_sandbox_* / sk_test_* / sk_live_*) or Agent token (at_* / at_dlg_*)

Body

application/json
inviteCode
string
required
Required string length: 8 - 64
name
string
required
Maximum string length: 120
encryptionJwk
object
required

RSA JWK with alg=RSA-OAEP-256, use=enc

webhookUrl
string<uri>

Response

Merchant created with one-shot key reveal

id
string
slug
string
merchant_secret_key
string
Example:

"mer_sk_a1b2c3..."

warning
string